Summary
Get Automation
Description
Get an Automation.
Route
GET /operations-manager/automations/:id
Roles
admin
engineering
apiread
operations
viewer
Parameters
DetailsExampleSchema
| Name |
Type |
Required |
Description |
| id |
string |
yes |
The id of the Automation to get. |
Copied to Clipboard
{
"type": "object",
"properties": {},
"required": [],
"additionalProperties": false
}
Return
DetailsExampleSchema
| Name |
Type |
Description |
| result |
object |
The requested Automation. |
Copied to Clipboard
{
"message": "Successfully retrieved search results",
"data": {
"name": "myCoolDocumentName",
"description": "Some helpful information about the document",
"componentType": null,
"createdBy": "amet dolore",
"created": "2013-04-03T04:13:47.375Z",
"lastUpdatedBy": null,
"lastUpdated": "1980-02-26T13:01:15.401Z",
"_id": "b0ef3a1dd578cd1ac8a5548a",
"gbac": {
"write": [
"8c7d94d8be34910030b43996",
"5145e6070f7dd8071c1825e8",
"9c35033cde56b9362d55d32d",
"f8087b954cf24d4ac3afb4ae",
"88b94bc35be3f0110a999e99"
],
"read": [
"bef8dc8aa0e27dbc29d61080",
"a276d92c6d1cc4d7d271c697",
"a365a519e1f5820f87ab2cd2"
]
},
"componentName": "culpa Lorem dolore"
}
}